Bug 494174 - Checking for direct rendering is not enough to detect 3D
Checking for direct rendering is not enough to detect 3D
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: opengl-games-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 07:04 EDT by Adel Gadllah
Modified: 2009-08-30 13:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 09:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glxinfo output (18.19 KB, text/plain)
2009-04-05 07:23 EDT, Adel Gadllah
no flags Details

  None (edit)
Description Adel Gadllah 2009-04-05 07:04:48 EDT
Description of problem:

Current mesa versions support direct rendering in software mode, that means that checking for "direct rendering: yes" is no longer a reliable check if hardware accelerated 3D is supported.

opengl-game-utils should check if the renderer is "Software Rasterizer" and in this case assume no 3D, even if direct rendering is supported.
Comment 1 Hans de Goede 2009-04-05 07:13:20 EDT
Thanks for reporting this, can you copy and paste the output of "glxinfo" on an affected system here?
Comment 2 Adel Gadllah 2009-04-05 07:23:45 EDT
Created attachment 338220 [details]
glxinfo output
Comment 3 Hans de Goede 2009-04-10 09:32:43 EDT
Thanks!

Version 0.1-8 should be in tomorrows rawhide compose, and fix this. If it doesn't fix this please let me know.
Comment 4 Seppo Yli-Olli 2009-08-29 07:25:23 EDT
The outcome of this bug wasn't completely correct. You can have hardware rendering through X server using indirect rendering so it should not be checking for direct rendering at all. Only for software rasterizer.
Comment 5 Hans de Goede 2009-08-29 09:59:55 EDT
(In reply to comment #4)
> The outcome of this bug wasn't completely correct. You can have hardware
> rendering through X server using indirect rendering so it should not be
> checking for direct rendering at all. Only for software rasterizer.  

Hmm, AFAIK we never have this situation in Fedora, also I wonder if the performance is in any way acceptable when doing this ?
Comment 6 Adel Gadllah 2009-08-29 10:26:32 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > The outcome of this bug wasn't completely correct. You can have hardware
> > rendering through X server using indirect rendering so it should not be
> > checking for direct rendering at all. Only for software rasterizer.  
> 
> Hmm, AFAIK we never have this situation in Fedora, also I wonder if the
> performance is in any way acceptable when doing this ?  

You can force this by setting LIBGL_ALWAYS_INDIRECT but that way many opengl extensions aren't supported.
Comment 7 Seppo Yli-Olli 2009-08-30 13:54:33 EDT
The most common thing that can cause it that I know is using OpenGL compositing with DRI1. If we can rely on DRI1 dying out in favour of DRI2 soon (DRI2 can handle direct rendering even under OpenGL compositing), it's safe to leave the detection as is.
But yes, indirect rendering is considerably slower than direct rendering, yet faster than software rendering. Depends on the program whether it's fast enough.

Note You need to log in before you can comment on or make changes to this bug.